본문 바로가기
정보보호 (Security)

Adobe Reader/Acrobat 신규 취약점으로 인한 피해 주의

by ·´″°³о♡ 날으는물고기 2009. 12. 18.

Adobe Reader/Acrobat 신규 취약점으로 인한 피해 주의

728x90

□ 제목: Adobe Reader/Acrobat 신규 취약점으로 인한 피해 주의

□ 개요

  o Adobe Reader/Acrobat에서 원격코드 실행이 가능한 신규 취약점이 발견되어 사용자의
    주의를 요함 [1-2]
  o 현재 해당 취약점을 공격하기 위해 악의적으로 작성된 PDF 파일이 발견되었으므로,
    Adobe Reader/Acrobat 사용자는 메일/메신저로 전송된 출처가 불분명한 PDF 파일을
    열람하지 않도록 주의하여야 함 [3]

□ 영향

  o 악의적으로 작성된 PDF 문서를 열어볼 경우 피해자 시스템에 악성코드가 설치되거나, 
    그 외 문서에 삽입된 악의적인 명령이 실행될 수 있음 [1-3]

□ 설명

  o Adobe Reader/Acrobat 취약점 1건이 아래와 같이 발표됨
    - Adobe Reader/Acrobat 원격코드 실행 취약점 (CVE-2009-4324) [4]

□ 해결 방안

  o 현재 해당 취약점에 대한 보안업데이트는 발표되지 않음
  o 보안업데이트가 발표되기 전까지 다음과 같은 절차에 따라 JavaScript 기능을 중지 [1]
   * 주의: JavaScript 기능을 중지할 시, JavaScript 기능을 사용하는 일부 PDF가 정상적으로
             보이지 않을 수 있음
    1. Acrobat이나 Adobe Reader를 실행
    2. 메뉴에서 편집(E)>기본 설정(N)을 선택
    3. 하단의 JavaScript 카테고리를 선택

    4. 상단의 Acrobat JavaScript 사용 가능(J)을 선택 해제
    5. 확인 버튼을 클릭
  o 취약점 노출로 인한 피해예방을 위해 아래와 같이 안전한 인터넷 이용 습관을 
    준수해야 함
    - 신뢰되지 않은 웹사이트의 PDF 파일 다운로드 주의
    - 의심되는 이메일에 포함된 PDF 파일 링크 또는 첨부를 클릭하지 않음
    - 개인방화벽과 백신제품 사용 등

 □ 용어 정리

  o PDF (Portable Document Format): Adobe Systems社가 2D 문서를 표현하기 위해 모든
    운영체제에서 구동 가능하도록 개발한 파일 형식임
  o Adobe Reader: PDF 문서의 편집 기능은 없이 보기/인쇄만 할 수 있는 무료 프로그램
  o Adobe Acrobat: PDF 문서 편집/제작을 지원하는 상용 프로그램

□ 참고 사이트

[1] http://www.adobe.com/support/security/advisories/apsa09-07.html
[2] http://blogs.adobe.com/psirt/2009/12/new_adobe_reader_and_acrobat_v.html
[3] http://www.symantec.com/business/security_response/writeup.jsp?docid=2009-121422-3337-99
[4] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-4324
[5] http://kb2.adobe.com/cps/532/cpsid_53237.html
[6] http://www.vupen.com/english/advisories/2009/3518
[7] http://www.securityfocus.com/bid/37331

[참 고]

1. F.A.Q
   o 보안업데이트는 언제 발표되나요?
     - 공식 보안업데이트 일정은 발표되지 않았지만 발표될 경우 KrCERT/CC 홈페이지를 통해
       신속히 공지할 예정입니다. 

2. 기타 문의사항
   o 한국인터넷진흥원 인터넷침해센터: 국번없이 118

728x90

댓글0